


%define kipi_major 5
%define libkipi %mklibname kf5kipi %kipi_major
%define libkipi_devel %mklibname kf5kipi -d

Name: libkipi
Summary: Interface to use kipi-plugins for KDE
Version: 17.12.3
Release: %mkrel 1
Group: Graphical desktop/KDE5
License: GPLv2
URL: https://projects.kde.org/projects/kde/kdegraphics/libs/libkipi
Source: http://download.kde.org/stable/applications/%{version}/src/%name-%version.tar.xz

BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: ki18n-devel
BuildRequires: kconfig-devel
BuildRequires: kxmlgui-devel
BuildRequires: kservice-devel

BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5widgets-devel

Obsoletes: %{_lib}kf5kipi5
Provides: %{_lib}kf5kipi5 = %version-%release

%description
Libkipi is an interface to use kipi-plugins from a KDE image management
program like digiKam (http://www.digikam.org).

#------------------------------------------------------------------------------
%files
%doc README TODO AUTHORS
%_kf5_iconsdir/*/*/*/kipi.*
%_kf5_servicetypes/kipiplugin.desktop
%dir %_datadir/kxmlgui5/kipi
%_qt5_plugindir/kipiplugin_kxmlhelloworld.so
%_kf5_services/kipiplugin_kxmlhelloworld.desktop
%_datadir/kxmlgui5/kipi/*
#------------------------------------------------------------------------------
%_kf5_libdir/libKF5Kipi.so.*
#------------------------------------------------------------------------------



%package -n %{libkipi_devel}
Summary: Devel stuff for %name
Group: Development/Libraries
Provides: %name-devel = %version-%release
Requires: %{name} = %version-%release

%description -n %{libkipi_devel}
This package contains header files needed if you wish to build applications
based on %name.

%files -n %{libkipi_devel}
%_kf5_includedir/KIPI
%_kf5_includedir/libkipi_version.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5Kipi

#------------------------------------------------------------------------------

%prep
%setup -q 

%build
export LD=/usr/bin/ld.gold 
%cmake_kf5 -DBUILD_TESTING=ON
%make

%install
rm -rf %buildroot
%makeinstall_std -C build


%changelog
* Mon Mar 12 2018 bb2 <bb2> - 17.12.3-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 17.12.2-1pclos2018
- new version

* Fri Jan 12 2018 bb2 <bb2> - 17.12.1-1pclos2018
- new version

* Fri Dec 15 2017 bb2 <bb2> - 17.12.0-1pclos2017
- new version

* Thu Nov 09 2017 bb2 <bb2> - 17.08.3-1pclos2017
- new version

* Thu Oct 12 2017 bb2 <bb2> - 17.08.2-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 17.08.1-1pclos2017
- new version

* Fri Aug 18 2017 bb2 <bb2> - 17.08.0-1pclos2017
- new version

* Fri Jul 14 2017 bb2 <bb2> - 17.04.3-1pclos2017
- new version

* Thu Jun 08 2017 bb2 <bb2> - 17.04.2-1pclos2017
- new version

* Thu May 11 2017 bb2 <bb2> - 17.04.1-1pclos2017
- new version

* Fri Apr 21 2017 bb2 <bb2> - 17.04.0-1pclos2017
- new version

* Fri Mar 10 2017 bb2 <bb2> - 16.12.3-1pclos2017
- new version

* Fri Feb 10 2017 bb <bb> - 16.12.2-1pclos2017
- new version

* Thu Jan 12 2017 bb <bb> - 16.12.1-1pclos2017
- new version

* Fri Dec 16 2016 bb <bb> - 16.12.0-1pclos2017
- new version

* Sat Nov 12 2016 bb <bb> 16.08.3-1pclos2016
- update

